Bug 432667 - curl-config --protocols doesn't adverstise HTTPS
curl-config --protocols doesn't adverstise HTTPS
Product: Fedora
Classification: Fedora
Component: curl (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Jindrich Novy
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2008-02-13 12:43 EST by Orion Poplawski
Modified: 2013-07-02 19:26 EDT (History)
1 user (show)

See Also:
Fixed In Version: 7.18.2-1.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-06-20 15:11:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Correctly test USE_SSL (1.15 KB, patch)
2008-03-26 13:45 EDT, Jean-Louis Martineau
no flags Details | Diff

  None (edit)
Description Orion Poplawski 2008-02-13 12:43:33 EST
Description of problem:

$ curl-config --protocols | grep HTTPS
$ curl-config --features | grep SSL

Version-Release number of selected component (if applicable):
Comment 1 Jean-Louis Martineau 2008-03-22 18:17:29 EDT
In the curl-config script, USE_SSL is set to "yes"
But you do:
          if test "$USE_SSL" = "1"; then
            echo "HTTPS"

in curl-config, USE_SSL is set with:
but USE_NSS is 'yes'
USE_SSLEAY or USE_GNUTLS will be 1 if used.
Comment 2 Jean-Louis Martineau 2008-03-26 13:45:48 EDT
Created attachment 299203 [details]
Correctly test USE_SSL

This patch replace the curl-7.16.4-curl-config.patch patch.
It replace two 'test "$USE_SSL" = "1"'
	    by 'test -n "$USE_SSL"'
The patch is required because USE_SSL is set to "yes"
Comment 3 Jindrich Novy 2008-03-31 03:54:18 EDT
The new curl 7.18.1 now contains the new @SSL_ENABLED@ symbol that should fix
it. At least the HTTPS is now correctly advertised for me now.
Comment 4 Fedora Update System 2008-06-19 02:11:48 EDT
curl-7.18.2-1.fc8 has been submitted as an update for Fedora 8
Comment 5 Fedora Update System 2008-06-20 15:11:15 EDT
curl-7.18.2-1.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.